openapi: "3.0.1"
info:
  title: "Contains the specs which are shared by the endpoints."
  version: "1.0.0"
paths: {}
components:
  parameters:
    senderId:
      in: path
      name: project_id
      example: sender_id
      description: sender ID
      schema:
        type: string
      required: true
    projectId:
      in: path
      name: project_id
      example: default
      description: project ID
      schema:
        type: string
      required: true
    messageTimestamp:
      in: path
      name: message_timestamp
      schema:
        type: float
      required: true
    username:
      in: query
      name: username
      schema:
        type: string
      required: true
    environment:
      in: query
      name: environment
      schema:
        type: string
      required: false
      description: Deployment environment to be used in query
    role:
      in: path
      name: role
      schema:
        type: string
      required: true
